--
--
-- SpeedControl
--
-- # Author:  Heady
-- # date: 15.12.2014
-- # last update: 2.1.2015
--
-- > Not for commercial use  < --
--

--print("  SteeringAxle v15.0");

local modDir = g_currentModDirectory;

ModEvent = {};

SpecializationUtil.registerSpecialization("SpeedControl", "SpeedControl", modDir.."SpeedControl.lua")
local version = SpecializationUtil.getSpecialization("SpeedControl").version;
--g_i18n.globalI18N.texts["SteeringAxle"] = g_i18n:getText("SteeringAxle"); 


function ModEvent:loadMap(name)	

	if self.firstRun == nil then
		self.firstRun = false;
		--print("  register spec SteeringAxle v15.0")
		print("  register spec SpeedControl v"..tostring(version));
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				local allowInsertion = true;
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					--if vs ~= nil and vs == SpecializationUtil.getSpecialization("steerable") then
					if vs ~= nil and vs == SpecializationUtil.getSpecialization("drivable") then
						local v_name_string = v.name 
						local point_location = string.find(v_name_string, ".", nil, true)
						if point_location ~= nil then
							local _name = string.sub(v_name_string, 1, point_location-1);
							if rawget(SpecializationUtil.specializations, string.format("%s.SpeedControl", _name)) ~= nil then
								allowInsertion = false;								
							end;							
						end;
						if allowInsertion then	
							table.insert(v.specializations, SpecializationUtil.getSpecialization("SpeedControl"));
						end;
					end;
				end;
			end;	
		end;
	end;

end;

function ModEvent:deleteMap()
end;

function ModEvent:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ModEvent:keyEvent(unicode, sym, modifier, isDown)
end;

function ModEvent:update(dt)
end;

function ModEvent:draw()
end;

addModEventListener(ModEvent);
